﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace bbiwarg.DataSource
{
    /**
     * Represents an confidence image where the depth is given in distance to the camera in millimeters. 
     */
    class ConfidenceImage
    {
        private int width, height;
        private short[] data;

        public ConfidenceImage(int width, int height, short[] data)
        {
            this.width = width;
            this.height = height;
            this.data = data;
        }

        public int getWidth()
        {
            return width;
        }

        public int getHeight()
        {
            return height;
        }

        public short getConfidence(int x, int y)
        {
            return data[y * width + x];
        }
    }
}
