﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using MathNet.Numerics.LinearAlgebra.Single;

namespace bbiwarg.DataSource
{
    class Palm
    {
        private Vector upperLeft, upperRight, lowerRight, lowerLeft;

        public Palm(Vector upperLeft, Vector upperRight, Vector lowerRight, Vector lowerLeft)
        {
            this.upperLeft = upperLeft;
            this.upperRight = upperRight;
            this.lowerRight = lowerRight;
            this.lowerLeft = lowerLeft;
        }

        public Vector getUpperLeft()
        {
            return upperLeft;
        }

        public Vector getUpperRight()
        {
            return upperRight;
        }

        public Vector getLowerRight()
        {
            return lowerRight;
        }

        public Vector getLowerLeft()
        {
            return lowerLeft;
        }

        public Vector[] getCorners()
        {
            return new Vector[4] { upperLeft, upperRight, lowerRight, lowerLeft };
        }
    }
}
