﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace bbiwarg.DataSource
{
    class UVImage
    {
        private int width, height;
        private float[] data;

        public UVImage(int width, int height, float[] data)
        {
            this.width = width;
            this.height = height;
            this.data = data;
        }

        public int getWidth()
        {
            return width;
        }

        public int getHeight()
        {
            return height;
        }

        public float getU(int x, int y)
        {
            return data[2 * (y * width + x) + 0];
        }

        public float getV(int x, int y)
        {
            return data[2 * (y * width + x) + 1];
        }
    }
}
