﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using bbiwarg.Graphics;

using MathNet.Numerics.LinearAlgebra.Single;

namespace bbiwarg.DataSource
{
    class VertexArray
    {
        private float[] vertexData;
        private Color[] colors;

        public VertexArray(float[] vertexData, Color[] colors)
        {
            this.vertexData = vertexData;
            this.colors = colors;
        }

        public int getNumVertices() 
        {
            return vertexData.Length / 3;
        }

        public float[] getVertexData()
        {
            return vertexData;
        }

        public Color getColor(int i) {
            return colors[i];
        }
    }
}
